import { SubmitHandler } from "react-hook-form";

export type OrderFormValues = {
  phone: string;
  carNumber: string;
  carColor: string;
  carBody: string;
  carLocation: string;
  availableDatetimeBegin: string;
  availableDatetimeEnd: string;
};

export type OrderFormProps = {
  onSubmit: SubmitHandler<OrderFormValues>;
  loading: boolean;
};